commit:     b1dec27cc401e050bfe2a8783cdb3d0cb92d0bb6
Author:     Rémi Cardona <remi <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  6 23:32:16 2020 +0000
Commit:     Rémi Cardona <remi <AT> gentoo <DOT> org>
CommitDate: Thu Feb  6 23:32:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1dec27c

app-text/gtkspell: disable gtk-doc support to cope with tool removal

Closes: https://bugs.gentoo.org/707368
Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Rémi Cardona <remi <AT> gentoo.org>

 app-text/gtkspell/gtkspell-2.0.16-r1.ebuild | 40 +++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/app-text/gtkspell/gtkspell-2.0.16-r1.ebuild 
b/app-text/gtkspell/gtkspell-2.0.16-r1.ebuild
new file mode 100644
index 00000000000..bc0747bea5f
--- /dev/null
+++ b/app-text/gtkspell/gtkspell-2.0.16-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils
+
+DESCRIPTION="Spell checking widget for GTK"
+HOMEPAGE="http://gtkspell.sourceforge.net/";
+# gtkspell doesn't use sourceforge mirroring system it seems.
+SRC_URI="http://${PN}.sourceforge.net/download/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
+IUSE=""
+
+RDEPEND="x11-libs/gtk+:2
+       >=app-text/enchant-1.1.6:0"
+DEPEND="${RDEPEND}
+       >=dev-util/intltool-0.35.0
+       virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog README ) # NEWS file is empty
+
+src_prepare() {
+       default
+
+       # Fix intltoolize broken file, see upstream #577133
+       sed -i -e "s:'\^\$\$lang\$\$':\^\$\$lang\$\$:g" po/Makefile.in.in || die
+}
+
+src_configure() {
+       econf --disable-static --disable-gtk-doc
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -type f -delete || die
+}

Reply via email to